Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.gxl
Class GxlWriter

    java.lang.Object
      biouml.plugins.gxl.GxlSupport
          biouml.plugins.gxl.GxlWriter

All Implemented Interfaces:
  GxlConstants

Direct Known Subclasses:
  GinSimWriter

public class GxlWriter
extends GxlSupport

Extracts only GXL-representable part of the digram.

Field Summary

Fields inherited from interface biouml.plugins.gxl.GxlConstants
`ATTR_ELEM, BAG_ELEM, BOOL_ELEM, EDGE_ELEM, ENUM_ELEM, FLOAT_ELEM, FROM_ATTR, GRAPH_ELEM, GXL_ELEM, ID_ATTR, INT_ELEM, LOCATOR_ELEM, NODE_ELEM, RELATION_ELEM, RELEND_ELEM, SEQ_ELEM, SET_ELEM, STRING_ELEM, TARGET_ATTR, TO_ATTR, TUP_ELEM, TYPE_ELEM`

Constructor Summary
`GxlWriter()`

Method Summary
`protected org.apache.log4j.Category` | `initLog()`
`void` | `writeDiagram(java.io.File file, Diagram diagram)`
`protected void` | `writeElements(java.io.Writer out, Compartment compartment)`
`protected void` | `writeGraph(java.io.Writer out, Diagram diagram)`
`protected void` | `writeGXL(java.io.Writer out, Diagram diagram)`
`protected void` | `writeGXLExtension(java.io.Writer out, Diagram diagram)`

Methods inherited from class biouml.plugins.gxl.GxlSupport
`error, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GxlWriter

    public GxlWriter()

Method Detail

### initLog

    protected org.apache.log4j.Category initLog()

  Specified by:
    `initLog` in class `GxlSupport`

### writeDiagram

    public void writeDiagram(java.io.File file,
                             Diagram diagram)

### writeGXL

    protected void writeGXL(java.io.Writer out,
                            Diagram diagram)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### writeGXLExtension

    protected void writeGXLExtension(java.io.Writer out,
                                     Diagram diagram)

### writeGraph

    protected void writeGraph(java.io.Writer out,
                              Diagram diagram)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### writeElements

    protected void writeElements(java.io.Writer out,
                                 Compartment compartment)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.